Bug 149767 - gaim plugins unresolved symbols
gaim plugins unresolved symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 21:24 EST by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 06:06:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2005-02-25 21:24:33 EST
VERIFY	 	i386	 	New unresolved symbols in libraries:

undefined symbol: gtk_widget_get_screen	(/usr/lib/gaim/docklet.so)
undefined symbol: gdk_screen_get_height	(/usr/lib/gaim/docklet.so)
undefined symbol: gtk_widget_set_sensitive	(/usr/lib/gaim/docklet.so)
undefined symbol: gdk_window_get_origin	(/usr/lib/gaim/docklet.so)
undefined symbol: gtk_widget_size_request	(/usr/lib/gaim/docklet.so)
undefined symbol: gaim_conversation_set_name	(/usr/lib/gaim/libirc.so)
undefined symbol: gaim_utf8_salvage	(/usr/lib/gaim/libirc.so)
undefined symbol: g_convert	(/usr/lib/gaim/libjabber.so)
undefined symbol: gaim_find_chat	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_account_get_proxy_info	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_xfer_error	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_proxy_info_get_type	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_xfer_get_filename	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_proxy_info_get_username	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_global_proxy_get_info	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_xfer_get_type	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_proxy_info_get_password	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_xfer_cancel_local	(/usr/lib/gaim/libmsn.so)
undefined symbol: gaim_escape_html	(/usr/lib/gaim/libyahoo.so)
undefined symbol: gaim_conversation_get_chat_data	(/usr/lib/gaim/notify.so)
undefined symbol: gaim_conv_chat_is_user_ignored	(/usr/lib/gaim/notify.so)
undefined symbol: gaim_br_strcat	(/usr/lib/gaim/ssl-nss.so)
undefined symbol: br_thread_local_store	(/usr/lib/gaim/ssl-nss.so)
undefined symbol: g_strdup	(/usr/lib/gaim/ssl-nss.so)
undefined symbol: g_markup_escape_text	(/usr/lib/gaim/statenotify.so)
undefined symbol: g_free	(/usr/lib/gaim/statenotify.so)

<arjan> it's symbols that ldd -u complains about
<arjan> undefined symbol: g_free (/usr/lib/gaim/statenotify.so)
<arjan> eg there statenotify doesn't do the -lglib thing
<arjan> and thus has it as unresolved symbol
<warren> hmmm, so this is probably a bug?
<arjan> depends
<arjan> are these libs or plugins?
<arjan> if they're libs then yes it's a bug
<arjan> if it's a plugin.. then it might be a bug but you need advise from a
tools person
<notting> arjan: if it's a plugin, it's a bug if the library it comes from isn't
linked into the main app, right?
<warren> these are plugins
<jakub> warren: even then, it is a bug
<jakub> warren: it wouldn't be a bug if the plugin intentionally referenced e.g.
a symbol in the binary
<jakub> warren: or if there are multiple implementations of that symbol that
should be chosen at runtime
<jakub> warren: but in this case just add -lglib
<notting> or -lglib-2.0 :)
<jakub> warren: or -lglib2, not sure which one
<warren> where is the best place to add that?
<arjan> makefile
<arjan> and do `pkg-config --ldflags glib-2.0` or something
<arjan> not actual hardcoded -lglib-2.0
<jakub> arjan: `pkg-config --libs glib-2.0` actually
<arjan> or do gtk
<arjan> since the same stuff uses gtk too
<arjan> if gaim has glib also used it works by accident
<notting> if glib is already in the address space of the binary when it opens
the plugin, it should work
<jakub> warren: if e.g. the library you are (not) likning against is versioned,
then it will not work properly at all

<warren> arjan, jakub: "upstream doesn't want to be bothered with 'bugs' that
have no ill effects" and they said they wont accept a patch that uses
`something` in makefile
<warren> arjan, since this is not a regression, and there are no ill effects,
can I just ignore it for now and make it gets fixed upstream for next week's
security hole? 
<arjan> warren: if you make sure the main binary ldd's those same libs in then I
guess it's ok to waive for now
<warren> arjan, yes it is fine.
<LSchiere2> warren: you might also want to let jakub know that all those gaim_*
functions ARE "intentionally referenced e.g. a symbol in the binary" which he
says "wouldn't be a bug"
<arjan> it's the glib/gtk ones that are iffy
<Paco-Paco> warren: there are some variables set by autoconf whose inclusion in
the appropriate Makefile.am files should fix this

So yeah.  Eventually get this into upstream.
Comment 1 Stu Tomlinson 2005-04-29 13:07:03 EDT
This is fixed in upstream CVS now

Note You need to log in before you can comment on or make changes to this bug.